View Issue Details

IDProjectCategoryView StatusLast Update
0003038Ham Radio DeluxeBugpublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0003038: Logbook can't lookup HamQTH callsign when password contains special characters
DescriptionThe HamQTH site requires a password be sent on the URL (which seems pretty crummy, but ...). HRD fails to encode the password on the URL, so if the password contains any special or unsafe characters (like ; / ? : @ = & or " < > # % { } | \ ^ ~ [ ] `) the program won't successfully access the website and the user will always get an error.

It's a great idea to sue funny cahracters in a password for security, and the website allows such passwords to be set. HRD is incompatible with the allowed passwords.

HRD can avoid trouble by properly encoding the HamQTH URLs it develops.
Steps To Reproduce1) Change your HamQTH password to include an ampersand or hash, or both
2) Configure HRD with your new password
3) Configure HamQTH to be an active lookup data source in the Logbook
4) Test the callsign lookup feature; using the configuration dialog's test feature is adequate

BUG#1) Always fails with "bad password"
Additional InformationThese are relevant references:

https://perishablepress.com/stop-using-unsafe-characters-in-urls/
https://www.ietf.org/rfc/rfc3986.txt
https://www.ietf.org/rfc/rfc1738.txt
https://www.hamqth.com/developers.php
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

Activities

K7ZCZ

2019-01-05 14:28

manager   ~0006885

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4665

WA9PIE

2019-01-09 15:16

administrator   ~0006933

Validated

Issue History

Date Modified Username Field Change
2019-01-04 18:40 K7ZCZ New Issue
2019-01-05 14:28 K7ZCZ Assigned To => K7ZCZ
2019-01-05 14:28 K7ZCZ Status new => resolved
2019-01-05 14:28 K7ZCZ Resolution open => fixed
2019-01-05 14:28 K7ZCZ Note Added: 0006885
2019-01-07 18:06 K7ZCZ Fixed in Version => 6.5.0.168
2019-01-09 15:16 WA9PIE Status resolved => closed
2019-01-09 15:16 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-09 15:16 WA9PIE Additional Information Updated View Revisions
2019-01-09 15:16 WA9PIE Testing Not Started => Beta Successful
2019-01-09 15:16 WA9PIE Note Added: 0006933
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.168 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe